Filter Opportunities
curl --request POST \
--url https://app.govly.com/api/v3/opportunities/filter \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"dateRangeParam": "<string>",
"dateRange": [
"<string>"
],
"contractVehicleIds": [
"<string>"
],
"page": 123,
"per": 123,
"sort": "<string>",
"sortDirection": "<string>"
}
'import requests
url = "https://app.govly.com/api/v3/opportunities/filter"
payload = {
"dateRangeParam": "<string>",
"dateRange": ["<string>"],
"contractVehicleIds": ["<string>"],
"page": 123,
"per": 123,
"sort": "<string>",
"sortDirection": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateRangeParam: '<string>',
dateRange: ['<string>'],
contractVehicleIds: ['<string>'],
page: 123,
per: 123,
sort: '<string>',
sortDirection: '<string>'
})
};
fetch('https://app.govly.com/api/v3/opportunities/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Opportunities
Filter Opportunities
POST
/
api
/
v3
/
opportunities
/
filter
Filter Opportunities
This endpoint filters searchable opportunities. By default, it returns a maximum of 10,000 results in pages of 500.
Request Body
Can be one of: “posted_at” (default), “modified_at”, or “respond_by”
An array of ISO 8601 formatted strings: [startTime, endTime]
List of contract vehicle IDs to filter by
Page number for pagination (default: 1)
Results per page
Can be one of: “posted” (default), “modified”, or “expires”
Can be one of: “asc” or “desc” (default)
This endpoint is part of the legacy v3 API and will be deprecated in the future. Please migrate to the new enterprise API endpoints.
Was this page helpful?
⌘I